Update Vdc Infra Policies

Update Vdc Infra Policies
Updates all infra policies for this VDC.

Updates all infra policies for this VDC. This API is used to add/remove infra policy assignments to the VDC and also to update the status of an already assigned infra policy.

Request
URI
PUT
https://{api_host}/cloudapi/v1/virtualDatacenters/{vdcUrn}/infraPolicies
COPY
Path Parameters
string
vdcUrn
Required

vdcUrn


Request Body
VdcInfraPolicies of type(s) application/json
Required
This request body class requires all of the following: Page , InlineVdcInfraPolicies1
{
    "resultTotal": 0,
    "pageCount": 0,
    "page": 0,
    "pageSize": 0,
    "associations": [
        {
            "entityId": "string",
            "associationId": "string"
        }
    ],
    "values": [
        {
            "infraPolicy": {
                "name": "string",
                "id": "string"
            },
            "status": "string"
        }
    ]
}
Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns VdcInfraPolicies of type(s) application/json;version=9.1.0
This response body class contains all of the following: Page , InlineVdcInfraPolicies1
{
    "resultTotal": 0,
    "pageCount": 0,
    "page": 0,
    "pageSize": 0,
    "associations": [
        {
            "entityId": "string",
            "associationId": "string"
        }
    ],
    "values": [
        {
            "infraPolicy": {
                "name": "string",
                "id": "string"
            },
            "status": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/cloudapi/v1/virtualDatacenters/{vdcUrn}/infraPolicies